%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%define debug_package %{nil} 

Name:		libsmraw
Version:	20160424
Release:	1%{?dist}
Summary:	Library to access the storage media (SM) (split) RAW format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-alpha-%{version}.tar.gz
%if 0%{?centos} == 5
Patch1:		%{name}-%{version}-patch-001
%endif
URL:		http://code.google.com/p/libsmraw/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
              
              

%description
libsmraw is library to access the storage media (SM) (split) RAW format
The library supports both RAW and split RAW.

%package devel
Summary:	Header files and libraries for developing applications for libsmraw
Group:		Development/Libraries
Requires:	libsmraw = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libsmraw.

%package tools
Summary:	Several tools for reading and writing storage media (SM) (split) RAW files
Group:		Applications/System
Requires:	libsmraw = %{version}-%{release} openssl  fuse-libs 
BuildRequires:	openssl-devel  fuse-devel 

%description tools
Several tools for reading and writing storage media (SM) (split) RAW files.
It contains tools to acquire, export, query and verify storage media (SM) (split) RAW files.

%package python
Summary:	Python bindings for libsmraw
Group:		System Environment/Libraries
Requires:	libsmraw = %{version}-%{release} python
BuildRequires:	%(basename %{__python})-devel

%description python
Python bindings for libsmraw

%prep
%setup -q
%if 0%{?centos} == 5
%patch1 -p1
%endif

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python --enable-verbose-output --enable-debug-output
%if 0%{?rhel} == 5
sed --in-place 's/^CC.*=.*gcc$/CC = gcc -std=c99/' pysmraw/Makefile
%endif
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libsmraw.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/smrawmount
%attr(755,root,root) %{_bindir}/smrawverify
%{_mandir}/man1/*

%files python
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python*/site-packages/*.a
%{_libdir}/python*/site-packages/*.la
%{_libdir}/python*/site-packages/*.so

%changelog
* Sun Apr 24 2016 Lawrence R. Rogers <lrr@cert.org> 20160424-1
* Release 20160424-1
	20160424
	* changes for Python 3 support

	20160423
	* worked on tests

	20160409
	* bug fix for information file

	20160317
	* removed read/write random

	20160111
	* Changes to Python bindings

	20160109
	* fixes for rpmbuild

* Fri Jan  8 2016 Lawrence R. Rogers <lrr@cert.org> 20160109-1
* Release 20160108-1
	20160108
	* 2016 update
	* worked on Python 3 support

* Sat Dec 19 2015 Lawrence R. Rogers <lrr@cert.org> 20151219-1
* Release 20151219-1
	20151219
	* updated dependencies

* Mon Oct  5 2015 Lawrence R. Rogers <lrr@cert.org> 20151005-1
* Release 20151005-1
	20150905
	* updated dependencies

	20150721
	* worked on tests

* Sun May 31 2015 Lawrence R. Rogers <lrr@cert.org> 20150105-2
* Release 20150105-2
	Libuna GCC-5 Patch

* Mon Jan  5 2015 Lawrence R. Rogers <lrr@cert.org> 20150105-1
* Release 20150105-1
	20150105
	* 2015 update

	20141229
	* updated dpkg files
	* updated dependencies
	* updated .gitignore

	20141226
	* changes for updated dependencies

	20141221
	* worked on Python 3 support
	* worked on tests

	20141201
	* worked on multi-threading support

	20141129
	* code clean up

	20141120
	* code clean up

	20141107
	* worked on multi-threading support

	20141102
	* bug fixes for information file

	20141030
	* bug fix in Python-bindings

* Sun Oct 26 2014 Lawrence R. Rogers <lrr@cert.org> 20141026-1
* Release 20141026-1
	20141026
	* changes for deployment

* Wed Oct 22 2014 Lawrence R. Rogers <lrr@cert.org> 20141022-1
* Release 20141022-1
	20141022
	* changes for deployment

* Tue Oct 21 2014 Lawrence R. Rogers <lrr@cert.org> 20141021-1
* Release 20141021-1
	20141021
	* changes for deployment

	20141007
	* updated dependencies and corresponding changes
	* worked on autogen.sh and synclibs.sh scripts

	20140930
	* removed README.macosx
	* changes for project site move

* Sun Aug 17 2014 Lawrence R. Rogers <lrr@cert.org> 20140817-1
* Release 20140817-1
	20140817
	* updated msvscpp files - fixes for smraw.net 
	20140801
	* Worked on smrawmount

* Mon Jul 28 2014 Lawrence R. Rogers <lrr@cert.org> 20140728-1
* Release 20140728-1
	20140728
	* updated dependencies
	* fixes for FreeBSD 8 compilation
	* updated dpkg files

* Sat Jun 21 2014 Joachim Metz <joachim.metz@gmail.com> 20140621-1
- Auto-generated

